<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
            <h2 id="jhi-product-order-heading" jhiTranslate="restaurantApplicationApp.productOrder.home.createOrEditLabel">Create or edit a Product Order</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!productOrder.id">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id"
                        [(ngModel)]="productOrder.id" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.productOrder.placedDate" for="field_placedDate">Placed Date</label>
                    <div class="d-flex">
                        <input id="field_placedDate" type="datetime-local" class="form-control" name="placedDate" [(ngModel)]="placedDate" placeholder="YYYY-MM-DD HH:mm"
                        required/>
                    </div>
                    <div [hidden]="!(editForm.controls.placedDate?.dirty && editForm.controls.placedDate?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.placedDate?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.controls.placedDate?.errors?.ZonedDateTimelocal" jhiTranslate="entity.validation.ZonedDateTimelocal">
                            This field should be a date and time.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.productOrder.status" for="field_status">Status</label>
                    <select class="form-control" name="status" [(ngModel)]="productOrder.status" id="field_status"  required>
                        <option value="COMPLETED">{{'restaurantApplicationApp.OrderStatus.COMPLETED' | translate}}</option>
                        <option value="PENDING">{{'restaurantApplicationApp.OrderStatus.PENDING' | translate}}</option>
                        <option value="CANCELLED">{{'restaurantApplicationApp.OrderStatus.CANCELLED' | translate}}</option>
                    </select>
                    <div [hidden]="!(editForm.controls.status?.dirty && editForm.controls.status?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.status?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.productOrder.code" for="field_code">Code</label>
                    <input type="text" class="form-control" name="code" id="field_code"
                        [(ngModel)]="productOrder.code" required/>
                    <div [hidden]="!(editForm.controls.code?.dirty && editForm.controls.code?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.code?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.productOrder.invoiceId" for="field_invoiceId">Invoice Id</label>
                    <input type="number" class="form-control" name="invoiceId" id="field_invoiceId"
                        [(ngModel)]="productOrder.invoiceId" />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.productOrder.customer" for="field_customer">Customer</label>
                    <select class="form-control" id="field_customer" name="customer" [(ngModel)]="productOrder.customer"  required>
                        <option *ngIf="!editForm.value.customer" [ngValue]="null" selected></option>
                        <option [ngValue]="customerOption.id === productOrder.customer?.id ? productOrder.customer : customerOption" *ngFor="let customerOption of customers; trackBy: trackCustomerById">{{customerOption.email}}</option>
                    </select>
                </div>
                <div [hidden]="!(editForm.controls.customer?.dirty && editForm.controls.customer?.invalid)">
                    <small class="form-text text-danger"
                        [hidden]="!editForm.controls.customer?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                    </small>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
